<template>
  <button class="h-button">
    <slot />
  </button>
</template>

<script setup lang="ts">

</script>

<style lang="scss" scoped>
.h-button {
  background-color: #000;
  border: none;
  border-radius: 5px;
  color: #fff;
  padding: 1em 2em;
  transition: background-color 0.3s ease;

  &:hover {
    background-color: #333;
  }
}
</style>
